<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel_s">
                    <div class="panel-body">
                        <h4 class="no-margin"><?php echo $title; ?></h4>
                        <hr class="hr-panel-heading" />
                        <div class="row _buttons">
							<div class="col-md-12">
							<?php 
								if(has_permission('project_notifications','','create')){ 
							?>
								<a href="#" onclick="new_task(<?php echo "'".admin_url('project_notifications/configure')."'"; ?>); return false;" class="btn btn-info pull-left new"><?php echo _l('pa_new_notifier'); ?></a>
							<?php 
								} 
							?>							
							<?php 
								if(has_permission('project_notifications','','create_template')){ 
							?>
								<a href="<?php echo admin_url('project_notifications/email_templates'); ?>" class="btn btn-info pull-right new"><?php echo _l('pa_email_template'); ?></a>
							<?php 
								} 
							?>
							</div>
						</div>						
						<hr class="hr-panel-heading hr-10" />
                  		<div class="clearfix"></div>
						
						<?php 						
						render_datatable(array(
							_l('id'),
							_l('pa_trigger_time_h'),
						    _l('pa_trigger_day_h'),						    
						    _l('pa_emails_h'),
							_l('pa_task_choice_type_h'),
						    _l('pa_projects_h'),
						    _l('pa_dataset_h'),
							),'project-activity');						
						?>
                    </div>
                </div>
            </div>
		</div>
	</div>
</div>
<?php init_tail(); ?>
</body>
</html>
<script>
$(function(){
	initDataTable('.table-project-activity',  window.location.href);
});
</script>