<p>Hello. Below you can find an updated log for the time recorded on the <b><?php echo $projectName; ?></b> project. Please make sure the Upwork contract is synced accordingly.</p>

<p>These hours need to be logged into  Upwork. Here are his log in details.</p>

<?php $upworkAccount = NULL; ?>
<?php $upworkContractId = NULL; ?>

<?php if ((isset($contractCustomFields)) && (!empty($contractCustomFields)) && (is_array($contractCustomFields))): ?>

	<?php foreach ($contractCustomFields as $contractCustomField): ?>

		<?php if ($contractCustomField['slug'] == "contracts_upwork_account"): ?>

			<?php $upworkAccount = $contractCustomField['value']; ?>

		<?php elseif ($contractCustomField['slug'] == "contracts_upwork_contract_id"): ?>

			<?php $upworkContractId = $contractCustomField['value']; ?>

		<?php endif; ?>

	<?php endforeach; ?>

<?php endif; ?>

<p>
	<b>URL:</b> <a href="https://www.upwork.com">Click Here</a><br />
	<b>Account:</b> <?php echo $upworkAccount; ?><br />
</p>

<p>Simply visit the contract named <a href="http://www.upwork.com/ab/workdiary/freelancer/#/<?php echo $upworkContractId; ?>"><?php echo $contractSubject; ?></a> in Upwork then record the hours listed below. Make sure the total hours match (or exceed) the hours from our portal.</p>

<table width="75%" cellpadding="5" align="center" style="margin-top: 10px;">

	<thead>
		<tr>
			<th bgcolor="#000000"><font color="#FFFFFF">Task</font></th>
			<th bgcolor="#000000"><font color="#FFFFFF">Hours</font></th>
			<th bgcolor="#000000"><font color="#FFFFFF">Minutes</font></th>
			<th bgcolor="#000000"><font color="#FFFFFF">Decimal</font></th>
		</tr>
	</thead>

	<?php 
		if ( isset($taskLists)  && is_array($taskLists) )
		{
			$grandTotalTime = 0;
			foreach ($taskLists as $taskList)
			{
	?>		
			<tr>
				<td bgcolor="#ffd700" colspan="4" align="center">
					<font color="#000000">
						<b><?php echo $taskList['DATE']; ?></b>
					</font>
				</td>
			</tr>
					
	<?php 
				$totalTaskTime = 0;
				foreach ($taskList['DETAIL'] as $task)
				{
					$time = intval($task['TIME']);
					
					$totalTaskTime  += $time;
					
					$mins = $time/60;
					$sec = $time%60;
					
					$hr = floor($mins/60);
					$hrDec = round($mins/60,2);
					
					$min = $mins%60;
					
					$exeTime = $hr.':'.str_pad($min, 2, "0", STR_PAD_LEFT);	
					
					
	?>
						
				<tr>
					<td bgcolor="#808080"><font color="#FFFFFF"><?php echo $task['NAME']; ?></font></td>
					<td bgcolor="#808080"><font color="#FFFFFF"><?php echo str_pad($hr, 2, "0", STR_PAD_LEFT); ?></font></td>
					<td bgcolor="#808080"><font color="#FFFFFF"><?php echo str_pad($min, 2, "0", STR_PAD_LEFT); ?></font></td>
					<td bgcolor="#808080"><font color="#FFFFFF"><?php echo number_format($hrDec,2,'.',''); ?></font></td>
				</tr>
						
	<?php		
				}
								
				$mins = floor($totalTaskTime/60);
				$sec = $time%60;
				
				$hr = floor($mins/60);
				$min = $mins%60;
				
				$taskExeTime = $hr.':'.str_pad($min, 2, "0", STR_PAD_LEFT);	
				
				$grandTotalTime += $totalTaskTime;
	?>
			
			<tr>
				<td bgcolor="#ffd700" colspan="4" align="center"><font color="#000000"><b>Total Time: <?php echo $taskExeTime; ?> Hours</b></font></td>
			</tr>
			
			<tr>
				<td bgcolor="#000000" colspan="4" align="center" style="height: 5px;"></td>
			</tr>
	<?php
			}
			
			$mins = round($grandTotalTime/60,2);
			$sec = $time%60;
			
			$hr = floor($mins/60);
			$min = $mins%60;
			
			$grandExeTime = $hr.':'.str_pad($min, 2, "0", STR_PAD_LEFT);	
				
	?>	
			<tfoot style="padding-top: -5px;">
				<tr>
					<td bgcolor="#000000" colspan="4" align="center" valign="middle"><font color="#FFFFFF"><h1>Grand Total Time: <?php echo $grandExeTime; ?> Hours</h1></font></td>
				</tr>
			</tfoot>
	<?php 
			
		}
	?>	
</table>
